### Webserver ###

org.osgi.service.http.port=8080
org.osgi.service.http.enabled=true
# Session timeout in minutes. Specify 0 for no timeout.
org.ops4j.pax.web.session.timeout=0
## HTTPS ##
org.osgi.service.http.port.secure=8443
# To enable HTTPS set this to "true"
org.osgi.service.http.secure.enabled=false
# The path to the .keystore file
org.ops4j.pax.web.ssl.keystore=
# The **Key Password** (as entered in the `keytool`)
org.ops4j.pax.web.ssl.password=
# The **Keystore Password** (as entered in the `keytool`)
org.ops4j.pax.web.ssl.keypassword=

### Request Filter ###

dm4.security.read_requires_login=false
dm4.security.write_requires_login=true

# Requests are allowed from this subnet only.
# An address range denoted by network number and netmask.
# To allow local access only specify "127.0.0.1/32". This is the default.
# To allow global access specify "0.0.0.0/0".
dm4.security.subnet_filter=127.0.0.1/32

### Host ###

dm4.host.url=http://localhost:8080/

### Database ###

dm4.database.path=deepamehta-db

### File Repository ###

# The file repository's base path: an absolute path leading to a directory, *no* slash at the end.
# This directory must exist.
# Mac OS X/Linux:
#     To enable the entire file system specify an empty string (instead of "/"). This is the default.
# Windows:
#     The path must begin with a drive letter followed by colon.
#     Important: Backslashes must be written as "\\" (double backslash).
#     To enable an entire drive specify the drive letter followed by colon, e.g. "C:".
#     To enable the entire C: drive, you can specify an empty string as a shortcut. This is the default.
dm4.filerepo.path=

# Set to "true" to put the file repository under access control.
# DM then creates a separate file repository for each workspace beneath the base path.
# This allow for e.g. private and collaborative file repositories.
# If set to "false" (the default) there is one big public file repository shared by all users.
dm4.filerepo.per_workspace=${dm4.filerepo.per_workspacea}

# Standard disk quota (for file uploads) allocated to each user (in MB).
dm4.filerepo.disk_quota=150

### Logging ###

java.util.logging.config.file=conf/logging.properties
felix.log.level=1

### Encoding ###

file.encoding=UTF-8

### OSGi Runtime ###

org.osgi.framework.storage=bundle-cache
felix.auto.deploy.action=install,start
